Summary:	A library for editing typed in command lines.
Name:		readline
Group:		System Environment/Libraries
License:	GPL
Version:	5.0
Release:	1
Source0:	ftp://ftp.gnu.org/gnu/readline/readline-%{version}.tar.gz
Buildroot:	%{_tmppath}/%{name}-%{release}-root
BuildRequires:	sed

%description
The readline library reads a line from the terminal and returns it,
allowing the user to edit the line with standard emacs editing keys.
The readline library allows programmers to provide an easy to use and
more intuitive interface for users.

%files
  %defattr(-,root,root)
  %doc %{_mandir}/man*/*
  %doc %{_infodir}/*.info*
  %attr(0555,root,root)	%{_libdir}/lib*.so.*

%package devel
Summary:	Files needed to develop programs which use the readline library.
Group:		Development/Libraries
Requires:	readline = %{version}

%description devel
The readline library will read a line from the terminal and return it.
Use of the readline library allows programmers to provide an easy
to use and more intuitive interface for users.

%files devel
  %defattr(-,root,root)
  %attr(0755,root,root)	%dir %{_includedir}/readline
  %attr(0444,root,root)	%{_includedir}/readline/*.h
  %attr(0444,root,root)	%{_libdir}/lib*.a
  %attr(0555,root,root)	%{_libdir}/lib*.so

%prep
%setup -q
%build
  %configure
  make %{?_smp_mflags} all shared

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_libdir}

  %makeinstall

  chmod 755 $RPM_BUILD_ROOT/%{_libdir}/*.so*

  cd $RPM_BUILD_ROOT
  gzip -9nf .%{_infodir}/*.info*
  rm -f .%{_infodir}/dir
 
%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 5.0, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
